Mesa (master): bin/get-fixes-pick-list.sh: bring back the warning

Andres Gomez tanty at kemper.freedesktop.org
Fri May 12 21:53:10 UTC 2017


Module: Mesa
Branch: master
Commit: b7af0ddfef882b2e82db953ff0d3e57843604525
URL:    http://cgit.freedesktop.org/mesa/mesa/commit/?id=b7af0ddfef882b2e82db953ff0d3e57843604525

Author: Andres Gomez <agomez at igalia.com>
Date:   Mon May  8 20:57:35 2017 +0300

bin/get-fixes-pick-list.sh: bring back the warning

We warn again if there are more than one line with the "fixes:" tag.

The warning is silenced when the commit has already landed or each
fixes tag reference a commit that is in branch.

v2:
 - Warn if any of the fixes tags has not landed (Emil)

v3:
 - Remove unnecessary head command
 - Clarify commit message (Emil)
 - Skip already picked commits sooner (Emil)

Signed-off-by: Andres Gomez <agomez at igalia.com>
Reviewed-by: Emil Velikov <emil.velikov at collabora.com>

---

 bin/get-fixes-pick-list.sh | 20 +++++++++++++-------
 1 file changed, 13 insertions(+), 7 deletions(-)

diff --git a/bin/get-fixes-pick-list.sh b/bin/get-fixes-pick-list.sh
index cf95f28377..81b78adc9c 100755
--- a/bin/get-fixes-pick-list.sh
+++ b/bin/get-fixes-pick-list.sh
@@ -31,10 +31,16 @@ do
 		fi
 	fi
 
+	# Skip if it has been already cherry-picked.
+	if grep -q ^$sha already_picked ; then
+		continue
+	fi
+
 	# For each one try to extract the tag
 	fixes_count=`git show $sha | grep -i "fixes:" | wc -l`
+	warn=`(test $fixes_count -gt 1 && echo $fixes_count) || echo 0`
 	while [ $fixes_count -gt 0 ] ; do
-		fixes=`git show $sha | grep -i "fixes:" | tail -n $fixes_count | head -n 1`
+		fixes=`git show $sha | grep -i "fixes:" | tail -n $fixes_count`
 		fixes_count=$(($fixes_count-1))
 		# The following sed/cut combination is borrowed from GregKH
 		id=`echo ${fixes} | sed -e 's/^[ \t]*//' | cut -f 2 -d ':' | sed -e 's/^[ \t]*//' | cut -f 1 -d ' '`
@@ -53,19 +59,19 @@ do
 		if grep -q ^$id already_picked ||
 		   grep -q ^$id already_landed ; then
 
-			# Finally nominate the fix if it hasn't landed yet.
-			if grep -q ^$sha already_picked ; then
-				continue
-			fi
-
 			printf "Commit \"%s\" fixes %s\n" \
 			       "`git log -n1 --pretty=oneline $sha`" \
 			       "$id"
-			fixes_count=0
+			warn=$(($warn-1))
 		fi
 
 	done
 
+	if [ $warn -gt 0 ] ; then
+		printf "WARNING: Commit \"%s\" has more than one Fixes tag\n" \
+		       "`git log -n1 --pretty=oneline $sha`"
+	fi
+
 done
 
 rm -f already_picked




More information about the mesa-commit mailing list